Bug 1171583 - liveusb-creator: Please remove hardcoded Requires: polkit-gnome
Summary: liveusb-creator: Please remove hardcoded Requires: polkit-gnome
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2014-12-08 06:59 UTC by Kevin Kofler
Modified: 2016-09-20 02:46 UTC (History)
8 users (show)

Fixed In Version: liveusb-creator-3.13.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-12 04:15:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Kofler 2014-12-08 06:59:50 UTC
Description of problem:
liveusb-creator has a hardcoded Requires: polkit-gnome, which drags in polkit-gnome even on KDE environments where it is not needed or useful.

Applications using PolicyKit should only use:
Requires: polkit
It is the responsibility of polkit and/or the desktop environment to drag in an authentication agent.

Version-Release number of selected component (if applicable):
liveusb-creator-3.13.1-1.fc22
liveusb-creator-3.13.1-1.fc21
liveusb-creator-3.13.1-1.fc20
liveusb-creator-3.13.1-1.fc19

How reproducible:
Always

Steps to Reproduce:
1. Install or update (we install it by default) liveusb-creator on a KDE installation.

Actual results:
polkit-gnome is dragged in.

Expected results:
polkit-gnome is not dragged in.

Additional info:
This affects Rawhide, F21 updates (unfortunately already stable), F20 updates-testing (giving negative karma) and F19 updates-testing (giving negative karma). It is a regression (bug introduced in an update) on F19, F20 and F21.

Comment 1 Kevin Kofler 2014-12-08 07:11:27 UTC
CCing the author of the specfile patch: Please don't add Requires: polkit-gnome to packages ever again!

Comment 2 Rex Dieter 2014-12-08 12:39:18 UTC
The usual dep to satisfy having a DE agnostic policy kit agent is:
Provides: PolicyKit-authentication-agent

Comment 3 Rex Dieter 2014-12-08 12:41:48 UTC
s/Provides/Requires/ , sorry.

Comment 4 Rex Dieter 2014-12-08 12:42:59 UTC
That said, it is also expected that DE's provide a policykit agent, so the dep could be removed too.

Comment 5 Fedora Update System 2014-12-08 13:13:13 UTC
liveusb-creator-3.13.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.1-2.fc21

Comment 6 Fedora Update System 2014-12-08 14:27:05 UTC
liveusb-creator-3.13.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2014-15984/liveusb-creator-3.13.1-2.fc19

Comment 7 Fedora Update System 2014-12-08 14:27:41 UTC
liveusb-creator-3.13.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-15980/liveusb-creator-3.13.1-2.fc20

Comment 8 Luke Macken 2014-12-08 14:30:19 UTC
Sorry about that, folks. Thanks for the bug and patch Kevin & Rex!

Comment 9 lnie 2014-12-09 06:15:53 UTC
liveusb-creator-3.13.1-2.fc21 works

Comment 10 Fedora Update System 2014-12-12 04:00:37 UTC
Package liveusb-creator-3.13.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liveusb-creator-3.13.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15980/liveusb-creator-3.13.1-2.fc20
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-12-12 04:15:26 UTC
liveusb-creator-3.13.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-12-12 23:17:38 UTC
liveusb-creator-3.13.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.el6

Comment 13 Fedora Update System 2014-12-12 23:18:12 UTC
liveusb-creator-3.13.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.fc20

Comment 14 Fedora Update System 2014-12-12 23:18:43 UTC
liveusb-creator-3.13.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.fc19

Comment 15 Fedora Update System 2014-12-12 23:19:17 UTC
liveusb-creator-3.13.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/liveusb-creator-3.13.2-1.fc21

Comment 16 Fedora Update System 2015-01-03 00:14:17 UTC
liveusb-creator-3.13.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-01-03 18:57:47 UTC
liveusb-creator-3.13.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-01-03 19:05:25 UTC
liveusb-creator-3.13.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-01-03 19:10:28 UTC
liveusb-creator-3.13.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.